body {
    font-family: 'segoe ui', sans-serif;
    margin: 0;
    padding: 0;
}
#main_title {
    color: #4177eb;
    text-align: center;
    padding-top: 25px;
}
.section_titles {
    text-align: center;
    break-before: column;
    font-size: 1.25em;
}
.bold_blue {
    font-weight: bold;
    color: #4177eb;
}
.grid-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    max-width: 1200px;
    margin: 0 auto;
    grid-auto-rows: minmax(50px, auto);
}
.left {
    padding-left: 35px;
    grid-column: 1;
}
.center {
    padding-left: 17.5px;
    grid-column: 2;
    padding-right: 17.5px;
}
.right {
    padding-right: 35px;
    grid-column: 3;
}
#banner {
    width: 100%; /* Ensures full viewport width */
    background-color: #8ba7e3;
    text-align: right;
    padding-top: 12.5px;
    box-sizing: border-box;
    height: auto;
    padding-bottom: 12.5px;
}

#sticky-header {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    display: flex;
    flex-direction: column;
}

#banner-content {
    display: flex;
    flex-wrap: wrap;
    text-decoration: none;
    white-space: nowrap;  /* Prevents breaking inside links */
    padding-right: 15px;
    justify-content: right;
    text-align: right;
    row-gap: 5px;
    column-gap: 20px;
}
#banner a {
    text-decoration: none;
    color: black;
}

/* Style for current page link */

#banner > div > a.current,
#banner-content > a.current,
#banner .dropbtn.current {
    background-color: #4177eb;
    padding: 0 5px 3px;
}

#banner .dropbtn.current {
    background-color: #4177eb;
    padding: 0 5px 3px;
    box-sizing: border-box;
    border: none;
    outline: none;
}

img.sponsors {
    padding-left: 10px;
    padding-right: 10px;
}

.dropbtn {
    color: black;
    font-size: 16px;
    border: none;
    outline: none;
    background-color: #8ba7e3;
    font-family: 'segoe ui', sans-serif;
    cursor: pointer;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
    display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #8ba7e3;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(252, 137, 137, 0.2);
    z-index: 1;
    text-align: left;
}

/* Links inside the dropdown */
.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a.current {
    background-color: #4177eb;
    padding: 12px 16px;
}

#banner-content a:not(.dropdown-content a) {
    padding: 0 5px 3px;
}

#banner-content a:hover:not(.dropdown-content a) {
    background-color: #ddd;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {
    background-color: #ddd;
}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
    display: block;
}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {
    background-color: #4177eb;
}

a {
    color: #4177eb;
}
.center-text {
    text-align: center;
}

.button {
    background-color: #8ba7e3;
    border: none;
    color: black;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    display: inline-block;
    font-family: 'segoe ui', sans-serif;
    cursor: pointer;
}

#announcement-banner:empty {
    display: none;
    height: 0;
}

#announcement-banner {
    background-color: rgb(224, 57, 57);
    text-align: center;
    font-weight: bold; /* comment this line for non-boldface */
    width: 100%;
    padding: 7.5px;
    box-sizing: border-box;
}

.main-text {
    margin-left: 35px;
    margin-right: 35px;
    padding-left: 35px;
    padding-right: 35px;
}

#center-button {
    display: flex;
    padding-top: 20px;
    justify-content: center;
}